Bug 212546 - nv gets confused about simultaneous analog/digital connections
nv gets confused about simultaneous analog/digital connections
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
bzcl34nup
:
: 212545 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 07:45 EDT by Derkjan de Haan
Modified: 2008-05-06 20:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (18.85 KB, text/plain)
2006-11-17 06:16 EST, Derkjan de Haan
no flags Details
output of lspci -v (5.88 KB, text/plain)
2006-11-17 06:17 EST, Derkjan de Haan
no flags Details
contents of /var/log/messages (298.11 KB, text/plain)
2006-11-17 06:17 EST, Derkjan de Haan
no flags Details
/var/log/Xorg.0.log (48.92 KB, text/plain)
2006-11-17 06:18 EST, Derkjan de Haan
no flags Details
/var/log/Xorg.setup.log (881 bytes, text/plain)
2006-11-17 06:19 EST, Derkjan de Haan
no flags Details
/etc/X11/xorg.conf (564 bytes, text/plain)
2006-11-24 15:38 EST, Derkjan de Haan
no flags Details
/var/log/Xorg.0.log (55.32 KB, text/plain)
2006-11-24 15:39 EST, Derkjan de Haan
no flags Details

  None (edit)
Description Derkjan de Haan 2006-10-27 07:45:55 EDT
Description of problem:
No graphical video output

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
Boot in graphic mode or
boot in text mode and execute startx
  
Actual results:
- garbled screen, random pixels lit (DVI) or blank screen (analog)
- sometimes X hangs the pc, requiring the reset button
- when running RHEL4, it is sometimes possible to recover by doing Ctrl-Alt-
Bckspace and run a 'setsysfont'

Expected results:
graphic screen

Additional info:
Hardware:
AMD64 3000+ CPU on Asus A8V mainboard with 1 GB RAM
XFX GeForce 6800LE AGP videocard
ViewSonic VP930 LCD monitor

The screen is currently connected both via DVI and an analog connection (via 
KVM switch). I did some checking by using only one connection and/or the KVM 
switch removed, but it didn't seem to make much of a difference.

The same problem exists in RedHat Enterprise Linux (RHEL) 4.

Doing an install in graphical mode works however.

I am not at that particular machine right now, but I will post the logs later 
today.
Comment 1 Matěj Cepl 2006-11-14 09:59:03 EST
*** Bug 212545 has been marked as a duplicate of this bug. ***
Comment 2 Derkjan de Haan 2006-11-17 06:16:34 EST
Created attachment 141464 [details]
dmesg output
Comment 3 Derkjan de Haan 2006-11-17 06:17:09 EST
Created attachment 141465 [details]
output of lspci -v
Comment 4 Derkjan de Haan 2006-11-17 06:17:56 EST
Created attachment 141466 [details]
contents of /var/log/messages
Comment 5 Derkjan de Haan 2006-11-17 06:18:30 EST
Created attachment 141467 [details]
/var/log/Xorg.0.log
Comment 6 Derkjan de Haan 2006-11-17 06:19:11 EST
Created attachment 141468 [details]
/var/log/Xorg.setup.log
Comment 7 Matěj Cepl 2006-11-24 11:59:43 EST
Thanks for the bug report.  We have reviewed the information you
have provided above, and there is some additional information we
require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) to the bug report
as individual uncompressed file attachments using the bugzilla file attachment
link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card. Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach
this information.

Thanks in advance.
Comment 8 Derkjan de Haan 2006-11-24 15:38:10 EST
Created attachment 142093 [details]
/etc/X11/xorg.conf
Comment 9 Derkjan de Haan 2006-11-24 15:39:15 EST
Created attachment 142094 [details]
/var/log/Xorg.0.log

As requested: This logfile is produced when starting X without a xorg.conf
file.
Comment 10 Simon Goodall 2007-04-24 05:38:43 EDT
I'm getting the same problem on FC6 using the nv driver and on the FC7 test 3
live cd.
Comment 11 Bug Zapper 2008-04-03 14:33:10 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 12 Bug Zapper 2008-05-06 20:58:09 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.